Package org.gradle.api.plugins

## Class MavenPlugin

- java.lang.Object
- - org.gradle.api.plugins.MavenPlugin

- All Implemented Interfaces:
    `Plugin<Project>`

      @Deprecated
      public abstract class MavenPlugin
      extends java.lang.Object
      implements Plugin<Project>

  Deprecated.
  The removed "maven" plugin class, only kept here for binary backwards compatibility of plugins which use the `plugins.withPlugin` pattern.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MavenPlugin​(org.gradle.api.internal.DocumentationRegistry documentationRegistry)` | Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `apply​(Project target)` | Deprecated. Apply this plugin to the given target object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MavenPlugin

          @Inject
          public MavenPlugin​(org.gradle.api.internal.DocumentationRegistry documentationRegistry)

      Deprecated.

  - ### Method Detail

    - #### apply

          public void apply​(Project target)

      Deprecated.
      Description copied from interface: `Plugin`
      Apply this plugin to the given target object.
      Specified by:
        `apply` in interface `Plugin<Project>`
      Parameters:
        `target` - The target object